
QGIS Application - Bug report #3432

License conflict with GPLv3+ libs

2011-01-22 01:50 PM - Volker Fröhlich

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 13492

Description

QGIS currently links two libraries, that are incompatible with QGIS' GPLv2+:

    -  Libspatialite (GPLv3+)

    -  Sqlanywhere (GPLv3+)

Linking a GPLv2+ program to GPLv3 libraries requires a switch to GPLv3+, as far as I can see.

http://fedoraproject.org/wiki/Licensing#GPL_Compatibility_Matrix

History

#1 - 2011-01-22 02:56 PM - Marco Hugentobler

Hm, my interpretation from http://www.gnu.org/licenses/gpl-faq.html#v2v3Compatibility is that it should be possible:

'Is GPLv3 compatible with GPLv2? No ... However, if code is released under GPL “version 2 or later,” that is compatible with GPLv3 because GPLv3 is

one of the options it permits '

#2 - 2011-01-24 07:12 AM - William Kyngesburye

Huh?  _lib_spatialite has always been on the Mozilla license, still is as of 2.4rc4.  The spatialite tools and rasterlite use GPLv3, but those are not used in

QGIS.

#3 - 2011-01-24 01:58 PM - Volker Fröhlich

Kyngchaos, you're right about Libspatialite. I mixed that up with the tools and the other stuff.

But I still think, there is a conflict with Sqlanywhere's license.

#4 - 2011-03-02 08:25 AM - Paolo Cavallini

Can anyone confirm this? Is so, I think we should drop SQLAnywhere support before releasing 1.7

#5 - 2011-03-02 08:36 AM - Volker Fröhlich
http://fedoraproject.org/wiki/Licensing#GPL_Compatibility_Matrix
http://www.gnu.org/licenses/gpl-faq.html#v2v3Compatibility


libpal's version in Trunk is also GPLv3+, according to the headers.

The website states LPGL3, maybe they changed it for newer versions. If pal was only linked, it would be OK with GPLv2+.

But as far as I know, it was changed and changes did not go upstream. I'll try to help with that, as time allows.

#6 - 2011-03-02 10:00 AM - Volker Fröhlich

Yes, pal 0.1 was GPLv3+, pal 0.2 is LGPLv3+.

#7 - 2011-03-02 12:49 PM - Tim Sutton

Replying to [comment:4 pcav]:

Can anyone confirm this? Is so, I think we should drop SQLAnywhere support before releasing 1.7

Please note this was discussed in a private thread with the plugin developer before he contributed the code. I encouraged Dave to hold the discussions

publicly which he did as soon as their lawyers gave the go ahead.

As Marco mentions above, our understanding is that it is ok for GPL v2 code to link to and include code with a later version of the GPL license.

Sybase have really gone out of their way to contribute their code the 'right' way and removing their plugin would not be a very generous or sympathetic

move on our part.

It is our hope that Sybase's intiative may spur other proprietary geospatial database developers to copy suite and contribute open source client software

for their systems. This would go a long way towards getting QGIS into the enterprise.

We are not licensing gurus, but lets find a way to make this work if there is a bona fide issue.

Regards

Tim

#8 - 2011-03-02 02:08 PM - Marco Hugentobler

I still think it is no problem, because the QGIS code is under GPL2+. The important thing is the distribution of the program. It says in the header files:

"you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2

of the License, or (at your option) any later version". So if you are building packages (e.g. for Fedora), you redistribute them under GPL3 (any later version)

and it should be ok.

Regards,

Marco

#9 - 2011-03-03 07:36 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to wontfix
http://pal.heig-vd.ch/index.php?page=download


Closing this bug after IRC discussion with volter. Result is that currently the only way to distribute QGIS is under GPL3 (most files are under GPLV2+, but

PAL and sqlanywhere are GPLV3+).

#10 - 2011-03-03 07:49 AM - William Kyngesburye

I suppose that means distributing binary packages also must be GPLv3?

#11 - 2011-03-03 07:53 AM - Marco Hugentobler

Yes, exactly

#12 - 2011-03-03 08:32 AM - Volker Fröhlich

"only way to distribute QGIS is under GPL3"

Shouldn't that be GPLv3+?
